Subject: Re: bug#66205: GuixSD on powerpc64le

From: [email-masked]
Date: Thu, 28 Sep 2023 18:38:00 +0000

September 26, 2023 5:50 PM, "Sus Amogus" <[email-masked]> wrote:

> I'm currently working on building Guix System for powerpc64le, and I've encountered a few issues
> that I could use some assistance with.

Sweet!  My friend ownes a blackbird and a Talso II! Let me know if you need help building grub
or various testing!

> 
> Firstly, linux-initrd failing because gcc-7.5 package used for bootstrap-glibc do not support
> --with-long-double-128. Removing this works just fine -- with last gcc package:
> 
>> /gnu/packages/make-bootstrap.scm
> 
>> (native-inputs
> 
>> `(("gcc" ,gcc-7.5)
> 
>> ,@(package-native-inputs base)))
> 
> I'm curious why gcc-7.5 was built without --with-long-double-128, especially considering it's
> defined for powerpc64le-linux in /gnu/packages/gcc.scm under (gcc-configure-flags-for-triplet).
> 
> Furthermore, I've encountered issues with Grub, which are detailed in this issue:
> https://issues.guix.gnu.org/54407. I believe that porting gcc-12-multilib from Debian could
> potentially resolve this problem.

Sounds like a good place to start!

> Lastly, any image generated from (system-disk-image) depends on grub-efi{,32}, but (a) grub-efi
> build fails on ppc*, and (b) ppc* systems do not use EFI.

Yeah...the Talos II has peptiboot installed in the bios or something?
https://github.com/open-power/petitboot

> The remaining problems mostly involve software patching or minor code adjustments.

Definitely ask for for help in testing this stuff!
 
> Best regards,
> Mykhailo Chernysh
> [email-masked]